# Config module #

Simple module for data validation. It is a standalone piece of code that does not require any other node modules.


## Installation

In your project folder run:
>` npm install --save node-validator-tool`

Note: The module code uses few ES6 features, so at least 4.4.5 version of Node is required.


## Usage

First you need to include the module and optionally configure it.
>` const validator = require('node-validator-tool')();`

Requiring the module returns `ValidatorFactory` function that is immediately called with no argument.
If the `rules` parameter is passed, the validator tries to add custom validation rules (see below).
``` 
const validator = require('node-validator-tool')({
    'name_length': (name) => name.length > 3,
    'name_format': /^[A-Z][a-z]+/,
});
```

As you can see, the validation rule has a name and a validator Function or RegExp. Any other type causes an Error to be thrown. Validator module supports few validation rules by default (see the source).


Using the validator module is simple:
>` validator.addRule('adult', (age) => age > 18);     // adding new rule`
>` validator.hasRule('adult');  // true`
>` validator.validate(17, 'adult'); // false`
>` validator.validate(17, 'number');    // true, using default named validation rule`
>` validator.remRule('adult')   // removing rule on-the-fly`


## Issues

Since the github repo is not ready yet, please use my email address in profile to contact me. Cheers!